RDF::Trine::Parser::RDFXML(3pm)

NAME
RDF::Trine::Parser::RDFXML - RDF/XML Parser

VERSION
This document describes RDF::Trine::Parser::RDFXML version 1.019

SYNOPSIS
 use RDF::Trine::Parser;
 my $parser     = RDF::Trine::Parser->new( 'rdfxml' );
 $parser->parse_into_model( $base_uri, $data, $model );

DESCRIPTION
...

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Parser class.

"new"
"parse_into_model ( $base_uri, $data, $model [, context => $context] )"
    Parses the bytes in $data, using the given $base_uri. For each RDF statement parsed, will call "$model->add_statement( $statement )".

"parse ( $base_uri, $rdf, \&handler )"
"parse_file ( $base_uri, $fh, \&handler )"
    Parses all data read from the filehandle $fh, using the given $base_uri. For each RDF statement parsed, "$handler->( $st )" is called.

    Note: The filehandle should NOT be opened with the ":encoding(UTF-8)" IO layer, as this is known to cause problems for XML::SAX.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

SEE ALSO
<http://www.w3.org/TR/rdf-syntax-grammar/>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.